org.apache.ignite.internal.sql.command

## Class SqlKillContinuousQueryCommand

- java.lang.Object
- - org.apache.ignite.internal.sql.command.SqlKillContinuousQueryCommand

All Implemented Interfaces:
  SqlCommand

    public class SqlKillContinuousQueryCommand
    extends Object
    implements SqlCommand

KILL CONTINUOUS command.

See Also:
  `QueryMXBean.cancelContinuous(String, String)`, `ContinuousQueryView.nodeId()`, `ContinuousQueryView.routineId()`

### Field Summary

Fields
`static String` `KILL_CQ_FORMAT` KILL CONTINUOUS format message.

### Constructor Summary

Constructors
Constructor and Description
`SqlKillContinuousQueryCommand()` Default constructor.
`SqlKillContinuousQueryCommand(UUID originNodeId, UUID routineId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`UUID` `getOriginNodeId()`
`UUID` `getRoutineId()`
`SqlCommand` `parse(SqlLexer lex)` Parse command.
`String` `schemaName()`
`void` `schemaName(String schemaName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KILL_CQ_FORMAT

    public static final String KILL_CQ_FORMAT

KILL CONTINUOUS format message.

See Also:
  Constant Field Values

### Constructor Detail

#### SqlKillContinuousQueryCommand

    public SqlKillContinuousQueryCommand()

Default constructor.

#### SqlKillContinuousQueryCommand

    public SqlKillContinuousQueryCommand(UUID originNodeId,
                                         UUID routineId)

Parameters:
  `originNodeId` - Origin node id.
  `routineId` - Routine id.

### Method Detail

#### parse

    public SqlCommand parse(SqlLexer lex)

Parse command.

Specified by:
  `parse` in interface `SqlCommand`
Parameters:
  `lex` - Lexer.
Returns:
  This instance.

#### schemaName

    public String schemaName()

Specified by:
  `schemaName` in interface `SqlCommand`
Returns:
  Schema name.

#### schemaName

    public void schemaName(String schemaName)

Specified by:
  `schemaName` in interface `SqlCommand`
Parameters:
  `schemaName` - Schema name.

#### getRoutineId

    public UUID getRoutineId()

Returns:
  Routine id.

#### getOriginNodeId

    public UUID getOriginNodeId()

Returns:
  Origin node id.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022